Create Review

Create a review on behalf of the user. Pass order_id or reference_order_id to mark it as a verified purchase review. Attach already hosted images via image_links, or upload files afterwards using Create Upload. Read only api key is sufficient.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
metadetail
object
string

(This needs to be orders _id value) (If this is passed then the review will be attached against an order and the review will be marked as verified)

string

(Minimum length is 1) (Maximum length is 128) (This needs to be the order id on your platform, ex. shopify order id) (Alternative to order_id, if this is passed then the review will be attached against the matching order and the review will be marked as verified)

string
enum
required

(Required) (This needs to be products reference_product_source value) (This can only be one of custom_website,shopify,woocommerce,magento)

Allowed:
string
required

(Required) (This needs to be products reference_product_id value)

string
required

(Required) (Maximum length is 200) (This needs to be the name of the user who is writing the review)

number
required

(Required) (Minimum is 1) (Maximum is 5) (This needs to be rating of the review)

string
required

(Required) (This needs to be description of the review)

Headers
string
enum
required

(Required) (This can only be one of mobile,web) (web for browsers and servers, mobile for native apps)

Allowed:
string
required

(Required) (This needs to be your apikey)

string
required

(Required) (This needs to be your workspaceid)

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json